package com.wd.workoffice.bean;


import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class DepBean {

    /**
     * createdBy : 1
     * createdByName : null
     * createdTime : 2019-09-02 10:53:47
     * updatedBy : 111
     * updatedByName : null
     * updatedTime : 2019-11-26 17:41:42
     * id : 121
     * parentId : CO001
     * status : 1
     * type : 1
     * typeString : null
     * outdeptLedger : {"gk":"","gt":""}
     * permission : ["销售接单"]
     * permissionString : null
     * tag : []
     * code : 0004
     * name : 模具车间
     * level : 2
     * erpId : GK17
     * children : null
     * deptRulers : null
     * deptRulerList : [{"createdBy":675,"createdByName":null,"createdTime":"2020-03-24 14:10:39","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":735,"userName":"13791807752","nickName":"刘中纲","identifier":null,"phone":"13791807752","email":"lghiworld@126.com","type":"2","status":"1","erpId":"EM0903001","roles":null,"permissionList":null,"ofDept":null,"access":null,"ofDeptRuler":"1","roleNames":null,"deptName":null,"roleId":null,"deptId":null},{"createdBy":111,"createdByName":null,"createdTime":"2019-11-27 09:45:02","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":686,"userName":"muju","nickName":"模具","identifier":null,"phone":"15020099999","email":"dd@dd.com","type":"2","status":"1","erpId":"58","roles":null,"permissionList":null,"ofDept":null,"access":null,"ofDeptRuler":"1","roleNames":null,"deptName":null,"roleId":null,"deptId":null}]
     * deptUserList : [{"createdBy":675,"createdByName":null,"createdTime":"2020-03-24 14:10:44","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":761,"userName":"13553070808","nickName":"王慧","identifier":null,"phone":"13553070808","email":"","type":"2","status":"1","erpId":"EM1503005","roles":null,"permissionList":null,"ofDept":null,"access":null,"ofDeptRuler":"0","roleNames":null,"deptName":null,"roleId":null,"deptId":null}]
     * targetUserOfRuler : null
     * deptRulerTotal : null
     * gk : null
     * gt : null
     */

    private int createdBy;
    private Object createdByName;
    private String createdTime;
    private int updatedBy;
    private Object updatedByName;
    private String updatedTime;
    private int id;
    private String parentId;
    private String status;
    private int type;
    private Object typeString;
    private String outdeptLedger;
    private Object permissionString;
    private String code;
    private String name;
    private int level;
    private String erpId;
    private Object children;
    private Object deptRulers;
    private Object targetUserOfRuler;
    private Object deptRulerTotal;
    private Object gk;
    private Object gt;
    private List<String> permission;
    private List<String> tag;
    private List<DeptRulerListBean> deptRulerList;
    private List<DeptUserListBean> deptUserList;
    private int ofRegisterNewDept;//传1，不是传0

    public int getOfRegisterNewDept() {
        return ofRegisterNewDept;
    }

    public void setOfRegisterNewDept(int ofRegisterNewDept) {
        this.ofRegisterNewDept = ofRegisterNewDept;
    }

    public int getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(int createdBy) {
        this.createdBy = createdBy;
    }

    public Object getCreatedByName() {
        return createdByName;
    }

    public void setCreatedByName(Object createdByName) {
        this.createdByName = createdByName;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public int getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(int updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Object getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(Object updatedByName) {
        this.updatedByName = updatedByName;
    }

    public String getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(String updatedTime) {
        this.updatedTime = updatedTime;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Object getTypeString() {
        return typeString;
    }

    public void setTypeString(Object typeString) {
        this.typeString = typeString;
    }

    public String getOutdeptLedger() {
        return outdeptLedger;
    }

    public void setOutdeptLedger(String outdeptLedger) {
        this.outdeptLedger = outdeptLedger;
    }

    public Object getPermissionString() {
        return permissionString;
    }

    public void setPermissionString(Object permissionString) {
        this.permissionString = permissionString;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String getErpId() {
        return erpId;
    }

    public void setErpId(String erpId) {
        this.erpId = erpId;
    }

    public Object getChildren() {
        return children;
    }

    public void setChildren(Object children) {
        this.children = children;
    }

    public Object getDeptRulers() {
        return deptRulers;
    }

    public void setDeptRulers(Object deptRulers) {
        this.deptRulers = deptRulers;
    }

    public Object getTargetUserOfRuler() {
        return targetUserOfRuler;
    }

    public void setTargetUserOfRuler(Object targetUserOfRuler) {
        this.targetUserOfRuler = targetUserOfRuler;
    }

    public Object getDeptRulerTotal() {
        return deptRulerTotal;
    }

    public void setDeptRulerTotal(Object deptRulerTotal) {
        this.deptRulerTotal = deptRulerTotal;
    }

    public Object getGk() {
        return gk;
    }

    public void setGk(Object gk) {
        this.gk = gk;
    }

    public Object getGt() {
        return gt;
    }

    public void setGt(Object gt) {
        this.gt = gt;
    }

    public List<String> getPermission() {
        return permission;
    }

    public void setPermission(List<String> permission) {
        this.permission = permission;
    }

    public List<String> getTag() {
        return tag;
    }

    public void setTag(List<String> tag) {
        this.tag = tag;
    }

    public List<DeptRulerListBean> getDeptRulerList() {
        return deptRulerList;
    }

    public void setDeptRulerList(List<DeptRulerListBean> deptRulerList) {
        this.deptRulerList = deptRulerList;
    }

    public List<DeptUserListBean> getDeptUserList() {
        return deptUserList;
    }

    public void setDeptUserList(List<DeptUserListBean> deptUserList) {
        this.deptUserList = deptUserList;
    }

    public static class DeptRulerListBean {
        /**
         * createdBy : 675
         * createdByName : null
         * createdTime : 2020-03-24 14:10:39
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 735
         * userName : 13791807752
         * nickName : 刘中纲
         * identifier : null
         * phone : 13791807752
         * email : lghiworld@126.com
         * type : 2
         * status : 1
         * erpId : EM0903001
         * roles : null
         * permissionList : null
         * ofDept : null
         * access : null
         * ofDeptRuler : 1
         * roleNames : null
         * deptName : null
         * roleId : null
         * deptId : null
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private int id;
        private String userName;
        private String nickName;
        private Object identifier;
        private String phone;
        private String email;
        private String type;
        private String status;
        private String erpId;
        private Object roles;
        private Object permissionList;
        private Object ofDept;
        private Object access;
        private String ofDeptRuler;
        private Object roleNames;
        private Object deptName;
        private Object roleId;
        private Object deptId;

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public Object getIdentifier() {
            return identifier;
        }

        public void setIdentifier(Object identifier) {
            this.identifier = identifier;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getErpId() {
            return erpId;
        }

        public void setErpId(String erpId) {
            this.erpId = erpId;
        }

        public Object getRoles() {
            return roles;
        }

        public void setRoles(Object roles) {
            this.roles = roles;
        }

        public Object getPermissionList() {
            return permissionList;
        }

        public void setPermissionList(Object permissionList) {
            this.permissionList = permissionList;
        }

        public Object getOfDept() {
            return ofDept;
        }

        public void setOfDept(Object ofDept) {
            this.ofDept = ofDept;
        }

        public Object getAccess() {
            return access;
        }

        public void setAccess(Object access) {
            this.access = access;
        }

        public String getOfDeptRuler() {
            return ofDeptRuler;
        }

        public void setOfDeptRuler(String ofDeptRuler) {
            this.ofDeptRuler = ofDeptRuler;
        }

        public Object getRoleNames() {
            return roleNames;
        }

        public void setRoleNames(Object roleNames) {
            this.roleNames = roleNames;
        }

        public Object getDeptName() {
            return deptName;
        }

        public void setDeptName(Object deptName) {
            this.deptName = deptName;
        }

        public Object getRoleId() {
            return roleId;
        }

        public void setRoleId(Object roleId) {
            this.roleId = roleId;
        }

        public Object getDeptId() {
            return deptId;
        }

        public void setDeptId(Object deptId) {
            this.deptId = deptId;
        }
    }

    public static class DeptUserListBean {
        /**
         * createdBy : 675
         * createdByName : null
         * createdTime : 2020-03-24 14:10:44
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 761
         * userName : 13553070808
         * nickName : 王慧
         * identifier : null
         * phone : 13553070808
         * email :
         * type : 2
         * status : 1
         * erpId : EM1503005
         * roles : null
         * permissionList : null
         * ofDept : null
         * access : null
         * ofDeptRuler : 0
         * roleNames : null
         * deptName : null
         * roleId : null
         * deptId : null
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private int id;
        private String userName;
        private String nickName;
        private Object identifier;
        private String phone;
        private String email;
        private String type;
        private String status;
        private String erpId;
        private Object roles;
        private Object permissionList;
        private Object ofDept;
        private Object access;
        private String ofDeptRuler;
        private Object roleNames;
        private Object deptName;
        private Object roleId;
        private Object deptId;

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public Object getIdentifier() {
            return identifier;
        }

        public void setIdentifier(Object identifier) {
            this.identifier = identifier;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getErpId() {
            return erpId;
        }

        public void setErpId(String erpId) {
            this.erpId = erpId;
        }

        public Object getRoles() {
            return roles;
        }

        public void setRoles(Object roles) {
            this.roles = roles;
        }

        public Object getPermissionList() {
            return permissionList;
        }

        public void setPermissionList(Object permissionList) {
            this.permissionList = permissionList;
        }

        public Object getOfDept() {
            return ofDept;
        }

        public void setOfDept(Object ofDept) {
            this.ofDept = ofDept;
        }

        public Object getAccess() {
            return access;
        }

        public void setAccess(Object access) {
            this.access = access;
        }

        public String getOfDeptRuler() {
            return ofDeptRuler;
        }

        public void setOfDeptRuler(String ofDeptRuler) {
            this.ofDeptRuler = ofDeptRuler;
        }

        public Object getRoleNames() {
            return roleNames;
        }

        public void setRoleNames(Object roleNames) {
            this.roleNames = roleNames;
        }

        public Object getDeptName() {
            return deptName;
        }

        public void setDeptName(Object deptName) {
            this.deptName = deptName;
        }

        public Object getRoleId() {
            return roleId;
        }

        public void setRoleId(Object roleId) {
            this.roleId = roleId;
        }

        public Object getDeptId() {
            return deptId;
        }

        public void setDeptId(Object deptId) {
            this.deptId = deptId;
        }
    }
}
